Bug 999959 - (zmap) Review Request: zmap - Network scanner for Internet-wide network studies
Review Request: zmap - Network scanner for Internet-wide network studies
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mario Blättermann
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-SECLAB
  Show dependency treegraph
 
Reported: 2013-08-22 08:57 EDT by Christopher Meng
Modified: 2014-01-27 08:08 EST (History)
3 users (show)

See Also:
Fixed In Version: zmap-1.1.0-2.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-11 21:50:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mario.blaettermann: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christopher Meng 2013-08-22 08:57:00 EDT
Spec URL: http://cicku.me/zmap.spec
SRPM URL: http://cicku.me/zmap-1.0.3-1.fc20.src.rpm
Description: ZMap is an open-source network scanner that enables researchers to easily 
perform Internet-wide network studies. With a single machine and a well 
provisioned network uplink, ZMap is capable of performing a complete scan of 
the IPv4 address space in under 45 minutes, approaching the theoretical limit 
of gigabit Ethernet.

ZMap can be used to study protocol adoption over time, monitor service 
availability, and help us better understand large systems distributed across 
the Internet.

Fedora Account System Username: cicku
Comment 1 Mario Blättermann 2013-08-25 13:43:45 EDT
I assume "APL 2.0" is a typo and should be "ASL 2.0".


Actually you don't have to mention in the summary that it is an "open source" software. We don't ship any closed source stuff, so it is useless. Suggestion:
"Network scanner for Internet-wide network studies".

However, this is common to a lot of packages. In most cases, people take this from project websites where the upstream folks advertise with. But it doesn't make sense for us.
Comment 2 Christopher Meng 2013-08-26 04:55:39 EDT
(In reply to Mario Blättermann from comment #1)


Thanks.

Spec URL: http://cicku.me/zmap.spec
SRPM URL: http://cicku.me/zmap-1.0.3-2.fc21.src.rpm
Comment 3 Mario Blättermann 2013-08-26 05:18:06 EDT
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5853516

$ rpmlint -i -v *
zmap.armv7hl: I: checking
zmap.armv7hl: W: spelling-error %description -l en_US uplink -> up link, up-link, linkup
The value of this tag appears to be misspelled. Please double-check.

zmap.armv7hl: I: checking-url https://zmap.io (timeout 10 seconds)
zmap.armv7hl: W: wrong-file-end-of-line-encoding /usr/share/doc/zmap/examples/banner-grab/http-req
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

zmap.i686: I: checking
zmap.i686: W: spelling-error %description -l en_US uplink -> up link, up-link, linkup
The value of this tag appears to be misspelled. Please double-check.

zmap.i686: I: checking-url https://zmap.io (timeout 10 seconds)
zmap.i686: W: wrong-file-end-of-line-encoding /usr/share/doc/zmap/examples/banner-grab/http-req
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

zmap.x86_64: I: checking
zmap.x86_64: W: spelling-error %description -l en_US uplink -> up link, up-link, linkup
The value of this tag appears to be misspelled. Please double-check.

zmap.x86_64: I: checking-url https://zmap.io (timeout 10 seconds)
zmap.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/zmap/examples/banner-grab/http-req
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

zmap.src: I: checking
zmap.src: W: spelling-error %description -l en_US uplink -> up link, up-link, linkup
The value of this tag appears to be misspelled. Please double-check.

zmap.src: I: checking-url https://zmap.io (timeout 10 seconds)
zmap.src: I: checking-url https://github.com/zmap/zmap/archive/v1.0.3.tar.gz (timeout 10 seconds)
zmap-debuginfo.armv7hl: I: checking
zmap-debuginfo.armv7hl: I: checking-url https://zmap.io (timeout 10 seconds)
zmap-debuginfo.i686: I: checking
zmap-debuginfo.i686: I: checking-url https://zmap.io (timeout 10 seconds)
zmap-debuginfo.x86_64: I: checking
zmap-debuginfo.x86_64: I: checking-url https://zmap.io (timeout 10 seconds)
zmap.spec: I: checking-url https://github.com/zmap/zmap/archive/v1.0.3.tar.gz (timeout 10 seconds)
7 packages and 1 specfiles checked; 0 errors, 7 warnings.


Please fix the wrong line endings in /usr/share/doc/zmap/examples/banner-grab/http-req.
Comment 4 Christopher Meng 2013-08-28 04:47:35 EDT
Waiting for 1.1.0 in this Friday.
Comment 5 Christopher Meng 2013-08-31 00:39:53 EDT
(In reply to Mario Blättermann from comment #3)
> Please fix the wrong line endings in
> /usr/share/doc/zmap/examples/banner-grab/http-req.

Quoted from upstream:

"This file ends with \r\n\r\n, two CRLF sequences as per the HTTP specification. Having only one will cause standard-compliant HTTP servers to withhold sending a response, as it expects additional headers (or the final CRLF)"
Comment 6 Mario Blättermann 2013-08-31 04:06:57 EDT
(In reply to Christopher Meng from comment #5)
> (In reply to Mario Blättermann from comment #3)
> > Please fix the wrong line endings in
> > /usr/share/doc/zmap/examples/banner-grab/http-req.
> 
> Quoted from upstream:
> 
> "This file ends with \r\n\r\n, two CRLF sequences as per the HTTP
> specification. Having only one will cause standard-compliant HTTP servers to
> withhold sending a response, as it expects additional headers (or the final
> CRLF)"

OK.

After having a deeper look in the tarball, there seem to be some libraries bundled. The subfolder "lib" contains at least parts of the hiredis library. Well, you've added hiredis-devel as a build requirement, but it is obviously not used:

$ rpm -qpR zmap-1.0.3-2.fc20.x86_64.rpm
config(zmap) = 1.0.3-2.fc20
libc.so.6()(64bit)
libc.so.6(GLIBC_2.14)(64bit)
libc.so.6(GLIBC_2.2.5)(64bit)
libc.so.6(GLIBC_2.3.4)(64bit)
libc.so.6(GLIBC_2.4)(64bit)
libc.so.6(GLIBC_2.7)(64bit)
libgmp.so.10()(64bit)
libm.so.6()(64bit)
libm.so.6(GLIBC_2.2.5)(64bit)
libpcap.so.1()(64bit)
libpthread.so.0()(64bit)
libpthread.so.0(GLIBC_2.2.5)(64bit)
libpthread.so.0(GLIBC_2.3.4)(64bit)
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rtld(GNU_HASH)
rpmlib(PayloadIsXz) <= 5.2-1

Please contact the upstream folks which libraries are bundled. For example, lib/blacklist.c has this header:

/*
 * Blacklist Copyright 2013 Regents of the University of Michigan 
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy
 * of the License at http://www.apache.org/licenses/LICENSE-2.0
 */
Comment 7 Christopher Meng 2013-09-03 07:54:18 EDT
(In reply to Mario Blättermann from comment #6)
> OK.
> 
> After having a deeper look in the tarball, there seem to be some libraries
> bundled. The subfolder "lib" contains at least parts of the hiredis library.
> Well, you've added hiredis-devel as a build requirement, but it is obviously
> not used:

Yes, in fact hiredis shouldn't be pulled in.

> Please contact the upstream folks which libraries are bundled. For example,
> lib/blacklist.c has this header:
> 
> /*
>  * Blacklist Copyright 2013 Regents of the University of Michigan 
>  * 
>  * Licensed under the Apache License, Version 2.0 (the "License"); you may
> not
>  * use this file except in compliance with the License. You may obtain a copy
>  * of the License at http://www.apache.org/licenses/LICENSE-2.0
>  */

So? zmap upstream is from University of Michigan.
Comment 8 Mario Blättermann 2013-09-04 14:15:23 EDT
The current situation regarding bundled libraries is somewhat confusing for me. Please get in touch with upstream to clarify this.
Comment 9 Christopher Meng 2013-09-04 18:41:21 EDT
I'm confused, too.

I plan to disable building with hiredis.
Comment 10 Mario Blättermann 2013-10-20 12:48:38 EDT
Any news here?
Comment 11 Christopher Meng 2013-10-20 21:46:30 EDT
(In reply to Mario Blättermann from comment #10)
> Any news here?

Yes, of course.

I still wait for the next release, as:

1. Upstream changes the builing tool from automake to cmake.

2. Upstream are fixing bugs for milestone(https://github.com/zmap/zmap/issues?milestone=1&state=open).

As upstream are constantly being developed, I think before 1.1.0 is ready this ticket wont get any updates here (I don't know what will be changed tomorrow, so let's just wait for the stable one).
Comment 12 Christopher Meng 2013-11-19 06:06:53 EST
Ok.

Upstream just released 1.1.0 version which has switched to CMake building system.

Spec URL: http://cicku.me/zmap.spec
SRPM URL: http://cicku.me/zmap-1.1.0-1.fc21.src.rpm
Comment 13 Mario Blättermann 2013-11-19 13:40:29 EST
Scratch build fails:
http://koji.fedoraproject.org/koji/taskinfo?taskID=6199305

From build.log:

+ cd /builddir/build/BUILD
+ cd zmap-1.1.0
+ %cmake -DWITH_JSON=ON -DWITH_REDIS=ON
/var/tmp/rpm-tmp.eYn99C: line 31: fg: no job control

Calling %cmake needs "BuildRequires: cmake".
Comment 14 Christopher Meng 2013-11-19 22:04:11 EST
(In reply to Mario Blättermann from comment #13)
> Scratch build fails:
> http://koji.fedoraproject.org/koji/taskinfo?taskID=6199305
> 
> From build.log:
> 
> + cd /builddir/build/BUILD
> + cd zmap-1.1.0
> + %cmake -DWITH_JSON=ON -DWITH_REDIS=ON
> /var/tmp/rpm-tmp.eYn99C: line 31: fg: no job control
> 
> Calling %cmake needs "BuildRequires: cmake".

Oops...

Fixed in the same URLs of comment 12.
Comment 15 Mario Blättermann 2013-11-21 13:47:35 EST
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=6210308

$ rpmlint -i -v *
zmap.armv7hl: I: checking
zmap.armv7hl: W: spelling-error %description -l en_US uplink -> up link, up-link, linkup
The value of this tag appears to be misspelled. Please double-check.

zmap.armv7hl: I: checking-url https://zmap.io (timeout 10 seconds)
zmap.armv7hl: W: spurious-executable-perm /usr/share/doc/zmap/examples/udp-probes/ipmi_623.pkt
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

zmap.armv7hl: W: spurious-executable-perm /usr/share/doc/zmap/examples/udp-probes/pca_st_5632.pkt
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

zmap.armv7hl: W: spurious-executable-perm /usr/share/doc/zmap/examples/udp-probes/netbios_137.pkt
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

zmap.armv7hl: W: spurious-executable-perm /usr/share/doc/zmap/examples/udp-probes/dns_53.pkt
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

zmap.armv7hl: W: spurious-executable-perm /usr/share/doc/zmap/examples/udp-probes/natpmp_5351.pkt
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

zmap.armv7hl: W: spurious-executable-perm /usr/share/doc/zmap/examples/udp-probes/mdns_5353.pkt
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

zmap.armv7hl: W: spurious-executable-perm /usr/share/doc/zmap/examples/udp-probes/pca_nq_5632.pkt
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

zmap.armv7hl: W: spurious-executable-perm /usr/share/doc/zmap/examples/udp-probes/digi3_2362.pkt
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

zmap.armv7hl: W: spurious-executable-perm /usr/share/doc/zmap/examples/udp-probes/snmp2_161.pkt
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

zmap.armv7hl: W: spurious-executable-perm /usr/share/doc/zmap/examples/udp-probes/ntp_123.pkt
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

zmap.armv7hl: W: wrong-file-end-of-line-encoding /usr/share/doc/zmap/examples/banner-grab-go/http-req
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

zmap.armv7hl: W: spurious-executable-perm /usr/share/doc/zmap/examples/udp-probes/mssql_1434.pkt
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

zmap.armv7hl: W: spurious-executable-perm /usr/share/doc/zmap/examples/udp-probes/upnp_1900.pkt
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

zmap.armv7hl: E: wrong-script-end-of-line-encoding /usr/share/doc/zmap/examples/udp-probes/upnp_1900.pkt
This script has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It will prevent its execution.

zmap.armv7hl: W: spurious-executable-perm /usr/share/doc/zmap/examples/udp-probes/wdbrpc_17185.pkt
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

zmap.armv7hl: W: spurious-executable-perm /usr/share/doc/zmap/examples/udp-probes/snmp1_161.pkt
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

zmap.armv7hl: W: spurious-executable-perm /usr/share/doc/zmap/examples/udp-probes/digi2_2362.pkt
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

zmap.armv7hl: W: spurious-executable-perm /usr/share/doc/zmap/examples/udp-probes/portmap_111.pkt
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

zmap.armv7hl: W: wrong-file-end-of-line-encoding /usr/share/doc/zmap/examples/banner-grab/http-req
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

zmap.armv7hl: W: spurious-executable-perm /usr/share/doc/zmap/examples/udp-probes/citrix_1604.pkt
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

zmap.armv7hl: W: spurious-executable-perm /usr/share/doc/zmap/examples/udp-probes/db2disco_523.pkt
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

zmap.armv7hl: W: spurious-executable-perm /usr/share/doc/zmap/examples/udp-probes/wsd_3702.pkt
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

zmap.armv7hl: W: spurious-executable-perm /usr/share/doc/zmap/examples/udp-probes/sentinel_5093.pkt
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

zmap.armv7hl: W: spurious-executable-perm /usr/share/doc/zmap/examples/udp-probes/digi1_2362.pkt
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

zmap.i686: I: checking
zmap.i686: W: spelling-error %description -l en_US uplink -> up link, up-link, linkup
The value of this tag appears to be misspelled. Please double-check.

zmap.i686: I: checking-url https://zmap.io (timeout 10 seconds)
zmap.i686: W: spurious-executable-perm /usr/share/doc/zmap/examples/udp-probes/ipmi_623.pkt
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

zmap.i686: W: spurious-executable-perm /usr/share/doc/zmap/examples/udp-probes/pca_st_5632.pkt
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

zmap.i686: W: spurious-executable-perm /usr/share/doc/zmap/examples/udp-probes/netbios_137.pkt
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

zmap.i686: W: spurious-executable-perm /usr/share/doc/zmap/examples/udp-probes/dns_53.pkt
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

zmap.i686: W: spurious-executable-perm /usr/share/doc/zmap/examples/udp-probes/natpmp_5351.pkt
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

zmap.i686: W: spurious-executable-perm /usr/share/doc/zmap/examples/udp-probes/mdns_5353.pkt
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

zmap.i686: W: spurious-executable-perm /usr/share/doc/zmap/examples/udp-probes/pca_nq_5632.pkt
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

zmap.i686: W: spurious-executable-perm /usr/share/doc/zmap/examples/udp-probes/digi3_2362.pkt
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

zmap.i686: W: spurious-executable-perm /usr/share/doc/zmap/examples/udp-probes/snmp2_161.pkt
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

zmap.i686: W: spurious-executable-perm /usr/share/doc/zmap/examples/udp-probes/ntp_123.pkt
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

zmap.i686: W: wrong-file-end-of-line-encoding /usr/share/doc/zmap/examples/banner-grab-go/http-req
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

zmap.i686: W: spurious-executable-perm /usr/share/doc/zmap/examples/udp-probes/mssql_1434.pkt
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

zmap.i686: W: spurious-executable-perm /usr/share/doc/zmap/examples/udp-probes/upnp_1900.pkt
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

zmap.i686: E: wrong-script-end-of-line-encoding /usr/share/doc/zmap/examples/udp-probes/upnp_1900.pkt
This script has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It will prevent its execution.

zmap.i686: W: spurious-executable-perm /usr/share/doc/zmap/examples/udp-probes/wdbrpc_17185.pkt
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

zmap.i686: W: spurious-executable-perm /usr/share/doc/zmap/examples/udp-probes/snmp1_161.pkt
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

zmap.i686: W: spurious-executable-perm /usr/share/doc/zmap/examples/udp-probes/digi2_2362.pkt
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

zmap.i686: W: spurious-executable-perm /usr/share/doc/zmap/examples/udp-probes/portmap_111.pkt
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

zmap.i686: W: wrong-file-end-of-line-encoding /usr/share/doc/zmap/examples/banner-grab/http-req
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

zmap.i686: W: spurious-executable-perm /usr/share/doc/zmap/examples/udp-probes/citrix_1604.pkt
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

zmap.i686: W: spurious-executable-perm /usr/share/doc/zmap/examples/udp-probes/db2disco_523.pkt
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

zmap.i686: W: spurious-executable-perm /usr/share/doc/zmap/examples/udp-probes/wsd_3702.pkt
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

zmap.i686: W: spurious-executable-perm /usr/share/doc/zmap/examples/udp-probes/sentinel_5093.pkt
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

zmap.i686: W: spurious-executable-perm /usr/share/doc/zmap/examples/udp-probes/digi1_2362.pkt
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

zmap.src: I: checking
zmap.src: W: spelling-error %description -l en_US uplink -> up link, up-link, linkup
The value of this tag appears to be misspelled. Please double-check.

zmap.src: I: checking-url https://zmap.io (timeout 10 seconds)
zmap.src: I: checking-url https://github.com/zmap/zmap/archive/v1.1.0.tar.gz (timeout 10 seconds)
zmap.x86_64: I: checking
zmap.x86_64: W: spelling-error %description -l en_US uplink -> up link, up-link, linkup
The value of this tag appears to be misspelled. Please double-check.

zmap.x86_64: I: checking-url https://zmap.io (timeout 10 seconds)
zmap.x86_64: W: spurious-executable-perm /usr/share/doc/zmap/examples/udp-probes/ipmi_623.pkt
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

zmap.x86_64: W: spurious-executable-perm /usr/share/doc/zmap/examples/udp-probes/pca_st_5632.pkt
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

zmap.x86_64: W: spurious-executable-perm /usr/share/doc/zmap/examples/udp-probes/netbios_137.pkt
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

zmap.x86_64: W: spurious-executable-perm /usr/share/doc/zmap/examples/udp-probes/dns_53.pkt
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

zmap.x86_64: W: spurious-executable-perm /usr/share/doc/zmap/examples/udp-probes/natpmp_5351.pkt
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

zmap.x86_64: W: spurious-executable-perm /usr/share/doc/zmap/examples/udp-probes/mdns_5353.pkt
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

zmap.x86_64: W: spurious-executable-perm /usr/share/doc/zmap/examples/udp-probes/pca_nq_5632.pkt
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

zmap.x86_64: W: spurious-executable-perm /usr/share/doc/zmap/examples/udp-probes/digi3_2362.pkt
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

zmap.x86_64: W: spurious-executable-perm /usr/share/doc/zmap/examples/udp-probes/snmp2_161.pkt
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

zmap.x86_64: W: spurious-executable-perm /usr/share/doc/zmap/examples/udp-probes/ntp_123.pkt
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

zmap.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/zmap/examples/banner-grab-go/http-req
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

zmap.x86_64: W: spurious-executable-perm /usr/share/doc/zmap/examples/udp-probes/mssql_1434.pkt
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

zmap.x86_64: W: spurious-executable-perm /usr/share/doc/zmap/examples/udp-probes/upnp_1900.pkt
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

zmap.x86_64: E: wrong-script-end-of-line-encoding /usr/share/doc/zmap/examples/udp-probes/upnp_1900.pkt
This script has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It will prevent its execution.

zmap.x86_64: W: spurious-executable-perm /usr/share/doc/zmap/examples/udp-probes/wdbrpc_17185.pkt
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

zmap.x86_64: W: spurious-executable-perm /usr/share/doc/zmap/examples/udp-probes/snmp1_161.pkt
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

zmap.x86_64: W: spurious-executable-perm /usr/share/doc/zmap/examples/udp-probes/digi2_2362.pkt
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

zmap.x86_64: W: spurious-executable-perm /usr/share/doc/zmap/examples/udp-probes/portmap_111.pkt
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

zmap.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/zmap/examples/banner-grab/http-req
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

zmap.x86_64: W: spurious-executable-perm /usr/share/doc/zmap/examples/udp-probes/citrix_1604.pkt
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

zmap.x86_64: W: spurious-executable-perm /usr/share/doc/zmap/examples/udp-probes/db2disco_523.pkt
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

zmap.x86_64: W: spurious-executable-perm /usr/share/doc/zmap/examples/udp-probes/wsd_3702.pkt
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

zmap.x86_64: W: spurious-executable-perm /usr/share/doc/zmap/examples/udp-probes/sentinel_5093.pkt
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

zmap.x86_64: W: spurious-executable-perm /usr/share/doc/zmap/examples/udp-probes/digi1_2362.pkt
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

zmap-debuginfo.armv7hl: I: checking
zmap-debuginfo.armv7hl: I: checking-url https://zmap.io (timeout 10 seconds)
zmap-debuginfo.i686: I: checking
zmap-debuginfo.i686: I: checking-url https://zmap.io (timeout 10 seconds)
zmap-debuginfo.x86_64: I: checking
zmap-debuginfo.x86_64: I: checking-url https://zmap.io (timeout 10 seconds)
zmap.spec: I: checking-url https://github.com/zmap/zmap/archive/v1.1.0.tar.gz (timeout 10 seconds)
7 packages and 1 specfiles checked; 3 errors, 73 warnings.


The examples contain a lot of executable files. README has an example how to use them:

$ zmap -M udp -p 137 --probe-args=file:examples/udp-probes/netbios_137.pkt

This shows that zmap is needed to call them and they won't be executed directly.   As far as I can evaluate, you can remove the exec bits. In doubt, ask the upstream folks, and if they insist, remove the exec bit anyway and add some explanation to the README.
Comment 16 Christopher Meng 2013-11-21 23:21:15 EST
Spec URL: http://cicku.me/zmap.spec
SRPM URL: http://cicku.me/zmap-1.1.0-2.fc21.src.rpm
Comment 17 Mario Blättermann 2013-11-22 13:29:39 EST
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=6214434

$ rpmlint -i -v *
zmap.armv7hl: I: checking
zmap.armv7hl: W: spelling-error %description -l en_US uplink -> up link, up-link, linkup
The value of this tag appears to be misspelled. Please double-check.

zmap.armv7hl: I: checking-url https://zmap.io (timeout 10 seconds)
zmap.armv7hl: W: wrong-file-end-of-line-encoding /usr/share/doc/zmap/examples/banner-grab-go/http-req
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

zmap.armv7hl: W: wrong-file-end-of-line-encoding /usr/share/doc/zmap/examples/udp-probes/upnp_1900.pkt
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

zmap.armv7hl: W: wrong-file-end-of-line-encoding /usr/share/doc/zmap/examples/banner-grab/http-req
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

zmap.src: I: checking
zmap.src: W: spelling-error %description -l en_US uplink -> up link, up-link, linkup
The value of this tag appears to be misspelled. Please double-check.

zmap.src: I: checking-url https://zmap.io (timeout 10 seconds)
zmap.src: I: checking-url https://github.com/zmap/zmap/archive/v1.1.0.tar.gz (timeout 10 seconds)
zmap-debuginfo.armv7hl: I: checking
zmap-debuginfo.armv7hl: I: checking-url https://zmap.io (timeout 10 seconds)
zmap.spec: I: checking-url https://github.com/zmap/zmap/archive/v1.1.0.tar.gz (timeout 10 seconds)
3 packages and 1 specfiles checked; 0 errors, 5 warnings.

Please fix the mentioned line endings.
Comment 18 Christopher Meng 2013-11-25 20:59:40 EST
Fine again:

Spec URL: http://cicku.me/zmap.spec
SRPM URL: http://cicku.me/zmap-1.1.0-2.fc21.src.rpm
Comment 19 Mario Blättermann 2013-11-26 12:19:32 EST
Scratch build fails:
http://koji.fedoraproject.org/koji/taskinfo?taskID=6228078

From build.log:

+ sed -i 's/\r$//' examples/banner-grab examples/banner-grab-go examples/forge-socket examples/udp-probes
sed: couldn't edit examples/banner-grab: not a regular file
Comment 20 Christopher Meng 2013-11-27 23:41:39 EST
Hardly found that a wrong version was uploaded, sorry.

Same URL: http://cicku.me/zmap-1.1.0-2.fc21.src.rpm
Comment 21 Mario Blättermann 2013-11-28 03:34:12 EST
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=6235798

$ rpmlint -i -v *
zmap.armv7hl: I: checking
zmap.armv7hl: W: spelling-error %description -l en_US uplink -> up link, up-link, linkup
The value of this tag appears to be misspelled. Please double-check.

zmap.armv7hl: I: checking-url https://zmap.io (timeout 10 seconds)
zmap.i686: I: checking
zmap.i686: W: spelling-error %description -l en_US uplink -> up link, up-link, linkup
The value of this tag appears to be misspelled. Please double-check.

zmap.i686: I: checking-url https://zmap.io (timeout 10 seconds)
zmap.src: I: checking
zmap.src: W: spelling-error %description -l en_US uplink -> up link, up-link, linkup
The value of this tag appears to be misspelled. Please double-check.

zmap.src: I: checking-url https://zmap.io (timeout 10 seconds)
zmap.src: I: checking-url https://github.com/zmap/zmap/archive/v1.1.0.tar.gz (timeout 10 seconds)
zmap.x86_64: I: checking
zmap.x86_64: W: spelling-error %description -l en_US uplink -> up link, up-link, linkup
The value of this tag appears to be misspelled. Please double-check.

zmap.x86_64: I: checking-url https://zmap.io (timeout 10 seconds)
zmap-debuginfo.armv7hl: I: checking
zmap-debuginfo.armv7hl: I: checking-url https://zmap.io (timeout 10 seconds)
zmap-debuginfo.i686: I: checking
zmap-debuginfo.i686: I: checking-url https://zmap.io (timeout 10 seconds)
zmap-debuginfo.x86_64: I: checking
zmap-debuginfo.x86_64: I: checking-url https://zmap.io (timeout 10 seconds)
zmap.spec: I: checking-url https://github.com/zmap/zmap/archive/v1.1.0.tar.gz (timeout 10 seconds)
7 packages and 1 specfiles checked; 0 errors, 4 warnings.


No issues besides some ignorable spelling errors.


---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
    ASL 2.0
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
    $ sha256sum *
    6a73b4cfe62bf9ff31f1d075eac066671fe5f5a6e1b97a845361509c94611eb7  v1.1.0.tar.gz
    6a73b4cfe62bf9ff31f1d075eac066671fe5f5a6e1b97a845361509c94611eb7  v1.1.0.tar.gz.orig

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[.] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[.] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[.] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: Development files must be in a -devel package.
[.] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
[.] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[+] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. 
[+] MUST: All filenames in rpm packages must be valid UTF-8.


[.] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[.] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses Mock anyway).
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[.] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[.] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[.] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[+] SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.


----------------

PACKAGE APPROVED

----------------
Comment 22 Christopher Meng 2013-11-28 03:36:33 EST
Thank you.

New Package SCM Request
=======================
Package Name: zmap
Short Description: Network scanner for Internet-wide network studies
Owners: cicku
Branches: f19 f20
Comment 23 Gwyn Ciesla 2013-12-01 16:36:50 EST
Git done (by process-git-requests).
Comment 24 Fedora Update System 2013-12-01 21:28:37 EST
zmap-1.1.0-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/zmap-1.1.0-2.fc20
Comment 25 Fedora Update System 2013-12-01 21:29:45 EST
zmap-1.1.0-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/zmap-1.1.0-2.fc19
Comment 26 Fedora Update System 2013-12-02 18:51:52 EST
zmap-1.1.0-2.fc20 has been pushed to the Fedora 20 testing repository.
Comment 27 Fedora Update System 2013-12-11 21:50:55 EST
zmap-1.1.0-2.fc19 has been pushed to the Fedora 19 stable repository.
Comment 28 Fedora Update System 2013-12-13 22:21:56 EST
zmap-1.1.0-2.fc20 has been pushed to the Fedora 20 stable repository.
Comment 29 Christopher Meng 2014-01-27 05:33:10 EST
Package Change Request 
====================== 
Package Name: zmap
New Branches: el6 epel7 
Owners: cicku
Comment 30 Gwyn Ciesla 2014-01-27 08:08:20 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.